Create internal third-party withdrawal
POST/api/withdrawal/internal-other
Creates an internal transfer to another Volet.com account and returns the created transaction.
Request
- application/json
- Body
- Example
Bodyrequired
Internal third-party withdrawal creation payload.
Src Wallet Id.
USD880390848110Amount.
Possible values: >= 0
10.25Action.
Possible values: [GIVE, GET]
GIVENote.
Possible values: <= 255 characters
Sandbox transfer noteSrc Currency.
Possible values: [USD, EUR, USDT, USDC, BTC, ETH, SOL, TRX, XRP, TON, LTC]
USDDest Wallet Id.
USD880390848110Dest Currency.
Possible values: [USD, EUR, USDT, USDC, BTC, ETH, SOL, TRX, XRP, TON, LTC]
USD{
"srcWalletId": "USD880390848110",
"amount": 10.25,
"action": "GIVE",
"note": "Sandbox transfer note",
"srcCurrency": "USD",
"destWalletId": "USD880390848110",
"destCurrency": "USD",
}
Responses
- 200
- 400
- 401
- 404
- 500
OK
- application/json
- Schema
- Example
Schema
Transaction Id.
11111111-1111-4111-8111-111111111111Payment Method Type.
Possible values: [INTERNAL_OTHERS]
INTERNAL_OTHERSTransaction Type.
Possible values: [INTERNAL_TRANSFER_OTHER]
INTERNAL_TRANSFER_OTHERStatus.
Possible values: [PENDING, COMPLETED, CANCELED, REFUNDED]
COMPLETEDDirection.
Possible values: [DEPOSIT, WITHDRAWAL]
DEPOSITTransaction direction.
Possible values: [INCOMING, OUTGOING, EXCHANGE]
OUTGOINGCurrency.
Possible values: [USD, EUR, USDT, USDC, BTC, ETH, SOL, TRX, XRP, TON, LTC]
USDAmount.
10.25Created At.
Payment Scope.
Possible values: [MERCHANT_API]
MERCHANT_APIOrder Id.
ORDER_123456Wallet Src Id.
USD880390848110Wallet Dest Id.
USD880390848110Full Commission.
10.25Comment.
Sandbox transfer noteCrypto Currency Tx Hash.
4e3ab7d90c8f254ad96e38d5471b72411d4cc47a6cd317a15ca020d8212b0f5eCompleted At.
{
"transactionId": "11111111-1111-4111-8111-111111111111",
"paymentMethodType": "INTERNAL_OTHERS",
"transactionType": "INTERNAL_TRANSFER_OTHER",
"status": "CREATED",
"direction": "WITHDRAWAL",
"transactionDirection": "OUTGOING",
"currency": "USD",
"amount": 10.25,
"createdAt": "2026-01-15T10:30:00",
"paymentScope": "MERCHANT_API",
"orderId": "ORDER_123456",
"walletSrcId": "USD880390848110",
"walletDestId": "USD880390848110",
"fullCommission": 10.25,
"comment": "Sandbox transfer note",
"cryptoCurrencyTxHash": "4e3ab7d90c8f254ad96e38d5471b72411d4cc47a6cd317a15ca020d8212b0f5e",
"completedAt": "2026-01-15T10:30:00"
}
Bad request. The request is malformed or contains invalid parameters.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
disabledError category.
FORMShort unique error identifier for support and logs.
errTest1234Human-readable error description.
REQUESTED OPERATION IS DISABLED FOR THE MERCHANT APIRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "disabled",
"errorType": "FORM",
"errorId": "errTest1234",
"errorDescription": "REQUESTED OPERATION IS DISABLED FOR THE MERCHANT API",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Unauthorized. Merchant authentication headers are missing or invalid.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
userDoesNotExistExceptionError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
NOT FOUND API WITH ACCOUNT_EMAIL: [email protected]Request field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "userDoesNotExistException",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Not found. The requested resource does not exist.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
resourceNotFoundError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Resource not foundRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "resourceNotFound",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Resource not found",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Internal server error. Unexpected error please contact support
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
internalServerErrorError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Internal server errorRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "internalServerError",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Internal server error",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}